/// <reference types="react" />
export declare const CaptionTitleContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const CaptionTitle: import("@emotion/styled").StyledComponent<import("../../../core/components/EditableText").EditableTextProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export interface CaptionDescriptionProps {
    isVisible: boolean;
}
export declare const CaptionDescription: import("@emotion/styled").StyledComponent<import("../../../common/components/EditableDescription/EditableDescription").EditableDescriptionProps & {
    theme?: import("@emotion/react").Theme | undefined;
} & CaptionDescriptionProps, {}, {}>;
export declare const CaptionRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
